Subject: Re: I: gcc ... -U_WIN32 ... may cause problems
From: [email-masked] (Earnie Boyd)

12 Sep 1998 01:22:45 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Geoffrey Noer <[email-masked]>
Cc: Mumit Khan <[email-masked]>, gw32 <[email-masked]>

---Geoffrey Noer <[email-masked]> wrote:
>
> On Thu, Sep 10, 1998 at 08:54:29AM -0700, Earnie Boyd wrote:
> [...]
> > Geoffrey, __CYGWIN32__ means "access to both Win32 API calls and
> > Unix/Posix API calls".  _WIN32 means "access to only Win32 API
calls".
> >  __MINGW32__ means "access to only Win32 API calls" (Actually
could be
> > dropped in favor of _WIN32).
> 
> Although I understand why people might argue for your definitions,
> this is *not* how we've been using them in any of the tools shipped as
> part of the gnu-win32 releases.
> 
> We've always used __CYGWIN32__ to conditionalize code inclusion on
> access to the Cygwin32 API (checking for the existance of Unixy
> calls).  We've used _WIN32 to check for accessibility of the Win32 API
> calls.  And finally, we've used _MSC_VER to identify code that's only
> intended for VC++.
> 

Since the use of _WIN32 to conditionalize code for portibility started
prior to the cygwin project, I ask that you pick a new macro, say
_WIN32_API_, to use for your definition.  I shouldn't be forced to
have to be concerned with breaking headers if I undefine _WIN32 as the
original poster of this message had to do.

BTW, IMHO, your use of the _MSC_VER is asking for trouble.  Firstly,
_MSC_VER didn't exist in earlier versions of VC++.  Secondly, _MSC_VER
is used by MS to control version compatibility with their own product.
 Thirdly, they could change it's name just because they want to.

==
-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".